Bug 1301093 - failed in UME with error 12 (Cannot allocate memory)
failed in UME with error 12 (Cannot allocate memory)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: valgrind (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mark Wielaard
Fedora Extras Quality Assurance
:
Depends On:
Blocks: TRACKER-bugs-affecting-libguestfs
  Show dependency treegraph
 
Reported: 2016-01-22 09:59 EST by Richard W.M. Jones
Modified: 2016-01-28 13:23 EST (History)
4 users (show)

See Also:
Fixed In Version: valgrind-3.11.0-8 valgrind-3.11.0-8.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-28 13:23:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2016-01-22 09:59:00 EST
Description of problem:

All use of valgrind in Rawhide fails with:

  valgrind: mmap(0x600000, 8192) failed in UME with error 12 (Cannot allocate memory).

Version-Release number of selected component (if applicable):

valgrind-3.11.0-5.fc24.x86_64
kernel-4.5.0-0.rc0.git7.1.fc24.x86_64 [see below]

How reproducible:

100%

Steps to Reproduce:
1. cat test.c
#include <stdlib.h>
int main ()
{
  exit (0);
}

2. gcc -o test test.c -g
3. valgrind test

Actual results:

valgrind: mmap(0x600000, 8192) failed in UME with error 12 (Cannot allocate memory).

Expected results:

Such a simple program shouldn't have any memory errors.

Additional info:

This was inconclusively reported upstream here:

http://sourceforge.net/p/valgrind/mailman/message/34755456/

It suggests it's a kernel bug or a change that was made in the Linux kernel.
Comment 1 Mark Wielaard 2016-01-22 10:05:16 EST
Could you try with valgrind-3.11.0-8 which should include a fix for the change in kernel behaviour (). It was also submitted as an update for f23 (although that still uses a kernel with the original semantics for RLIMIT_DATA):
https://bodhi.fedoraproject.org/updates/FEDORA-2016-3795b5d3a9
Comment 2 Richard W.M. Jones 2016-01-22 10:17:02 EST
Oh yes, that works (actually the -9 package).  Thanks!
Comment 3 Fedora Update System 2016-01-22 10:20:03 EST
valgrind-3.11.0-8.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3795b5d3a9
Comment 4 Fedora Update System 2016-01-23 23:51:33 EST
valgrind-3.11.0-8.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3795b5d3a9
Comment 5 Fedora Update System 2016-01-28 13:23:06 EST
valgrind-3.11.0-8.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.